| Home | Libraries | People | FAQ | More

#### is_sync_write_stream

Determine if `T` meets the requirements of SyncWriteStream.

##### Synopsis

Defined in header `<boost/beast/core/stream_traits.hpp>`

    template<
        class T>
    using is_sync_write_stream = see-below;

##### Description

Metafunctions are used to perform compile time checking of template types. This type will be `std::true_type` if `T` meets the requirements, else the type will be `std::false_type`.

##### Example

Use with `static_assert`:

    template < class SyncReadStream>
    void f(SyncReadStream& stream)
    {
        static_assert (is_sync_read_stream<SyncReadStream>::value,
            "SyncReadStream type requirements not met" );
    ...

Use with `std::enable_if` (SFINAE):

    template < class SyncReadStream>
    typename std::enable_if<is_sync_read_stream<SyncReadStream>::value>::type
    f(SyncReadStream& stream);